diff --git a/src/backend/replication/logical/logical.c b/src/backend/replication/logical/logical.c
index 4fb0974..3c56238 100644
--- a/src/backend/replication/logical/logical.c
+++ b/src/backend/replication/logical/logical.c
@@ -9,7 +9,7 @@
  *
  * NOTES
  *    This file coordinates interaction between the various modules that
- *    together providethe logical decoding, primarily by providing so
+ *    together provide logical decoding, primarily by providing so
  *    called LogicalDecodingContexts. The goal is to encapsulate most of the
  *    internal complexity for consumers of logical decoding, so they can
  *    create and consume a changestream with a low amount of code.
diff --git a/src/backend/replication/logical/logicalfuncs.c b/src/backend/replication/logical/logicalfuncs.c
index 3b8ae38..5fa1848 100644
--- a/src/backend/replication/logical/logicalfuncs.c
+++ b/src/backend/replication/logical/logicalfuncs.c
@@ -2,7 +2,7 @@
  *
  * logicalfuncs.c
  *
- *	   Support functions for using logical decoding and managemnt of
+ *	   Support functions for using logical decoding and management of
  *	   logical replication slots via SQL.
  *
  *
@@ -400,7 +400,7 @@ pg_logical_slot_get_changes_guts(FunctionCallInfo fcinfo, bool confirm, bool bin
 			ctx->options.output_type != OUTPUT_PLUGIN_TEXTUAL_OUTPUT)
 			ereport(ERROR,
 					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
-					 errmsg("output plugin cannot produce text output")));
+					 errmsg("output plugin cannot produce binary output")));
 
 		ctx->output_writer_private = p;
 
diff --git a/src/include/utils/snapshot.h b/src/include/utils/snapshot.h
index 4b25607..8ee9285 100644
--- a/src/include/utils/snapshot.h
+++ b/src/include/utils/snapshot.h
@@ -36,7 +36,7 @@ typedef bool (*SnapshotSatisfiesFunc) (HeapTuple htup,
  * There are several different kinds of snapshots:
  * * Normal MVCC snapshots
  * * MVCC snapshots taken during recovery (in Hot-Standby mode)
- * * Historic MVCC snapshots used during logical decoding 
+ * * Historic MVCC snapshots used during logical decoding
  * * snapshots passed to HeapTupleSatisfiesDirty()
  * * snapshots used for SatisfiesAny, Toast, Self where no members are
  *   accessed.
